<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);
$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);
// backgroundManager($wp_customize, 'sliderus', 'slider_section', $color='#fff', get_template_directory_uri().'/images/sliderb.jpg', 'color');

$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 800X800', 'Luzuk' ),
		)
	)
);


$wp_customize->add_setting(
    'slider_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_areaOpacity',
    array(
        'settings'      => 'slider_areaOpacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'slider_overlaybg_color', 'slider_section', 'Slider Overlay Color', '#fff');

lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Colors Setting');

addColorPalatOption($wp_customize, 'slider_titleColor', 'slider_section', 'Slider Title Color', '#222A35');

addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'slider_section', 'Slider Text Color', '#9597b1');

addColorPalatOption($wp_customize, 'slider_imgbdrColor', 'slider_section', 'Slider Iamge Over Shadow Colour', '#fff');


// ======================btn one=========================================
lzCustomLable($wp_customize, 'luzuk_sliderbtn1clrs', 'slider_section', 'Slider Button Setting');

addColorPalatOption($wp_customize, 'slider_btntext', 'slider_section', 'Button Text Color', '#ffe8b2');

addColorPalatOption($wp_customize, 'slider_btntexthv', 'slider_section', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btnbg', 'slider_section', 'Button BG Color', '#FF6F00');

addColorPalatOption($wp_customize, 'slider_btnbghv', 'slider_section', 'Button BG Hover Color', '#ffa62e');
addColorPalatOption($wp_customize, 'slider_btnbdrhv', 'slider_section', 'Button Border Hover Color', '#FF6F00');



lzCustomLable($wp_customize, 'luzuk_sliderArrowbtn', 'slider_section', 'Slider Arrow Button Setting');

addColorPalatOption($wp_customize, 'slider_slidebtnicnclr', 'slider_section', 'Sliding Button Icon Color', '#222A35');

addColorPalatOption($wp_customize, 'slider_slidebtnicnhvclr', 'slider_section', 'Sliding Button Icon Hover Color', '#000');

addColorPalatOption($wp_customize, 'slider_slidebtnbgclr', 'slider_section', 'Sliding Button BG Color', '#ff6f00');

addColorPalatOption($wp_customize, 'slider_slidebtnbghvclr', 'slider_section', 'Sliding Button BG Hover Color', '#fff');

lzCustomLable($wp_customize, 'luzuk_slidersvg', 'slider_section', 'Slider SVG Color');

addColorPalatOption($wp_customize, 'slider_slidesvgclr1', 'slider_section', 'Svg Color 1', '#ff8400');

addColorPalatOption($wp_customize, 'slider_slidesvgclr2', 'slider_section', 'Svg Color 2', '#222a35');